Subject: [alpine-devel] [PATCH] Initial APKBUILD of halberd

From: Fabian Affolter <[email-masked]>
Date: Sat, 25 Jun 2011 21:44:30 +0000

---
 testing/halberd/APKBUILD |   42 ++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 42 insertions(+), 0 deletions(-)
 create mode 100644 testing/halberd/APKBUILD

diff --git a/testing/halberd/APKBUILD b/testing/halberd/APKBUILD
new file mode 100644
index 0000000..bc62684
--- /dev/null
+++ b/testing/halberd/APKBUILD
@@ -0,0 +1,42 @@
+# Contributor: Fabian Affolter <[email-masked]>
+# Maintainer:
+pkgname=halberd
+pkgver=0.2.4
+pkgrel=0
+pkgdesc="Tool to discover HTTP load balancers"
+url="http://halberd.superadditive.com"
+arch="noarch"
+license="GPL2+"
+depends="python"
+makedepends="python-dev "
+install=""
+subpackages="$pkgname-doc"
+source="http://$pkgname.superadditive.com/dist/$pkgname-$pkgver.tar.gz
+        $pkgname-sslwrap.patch"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+
+prepare() {
+	cd "$_builddir"
+	patch -p1 -i "$srcdir"/$pkgname-sslwrap.patch || return 1
+}
+
+build() {
+	cd "$_builddir"
+	python setup.py build || return 1
+}
+
+package() {
+	cd "$_builddir"
+	python setup.py bdist_dumb --keep-temp --bdist-dir "$pkgdir" || return 1
+}
+
+doc() {
+    # The man page is not picked-up automatically
+	mkdir -p "$subpkgdir"/usr/share/man || return 1
+    mv "$_builddir"/man/man* "$subpkgdir"/usr/share/man/ || return 1
+}
+
+
+md5sums="d60d0fba8f379ea72c623ad1dd6052c3  halberd-0.2.4.tar.gz
+1fe48ed2a0ef58e8a387ab23368d637c  halberd-sslwrap.patch"
-- 
1.7.4.5

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---

---

From: Natanael Copa <[email-masked]>
Date: Mon, 27 Jun 2011 10:49:30 +0200

You got "halberd" in the summary line in commit message. Good!

On Sat, 25 Jun 2011 21:44:30 +0000
Fabian Affolter <[email-masked]> wrote:

> ---
>  testing/halberd/APKBUILD |   42
> ++++++++++++++++++++++++++++++++++++++++++ 1 files changed, 42
> insertions(+), 0 deletions(-) create mode 100644
> testing/halberd/APKBUILD
> 

Nice and short description. Good!

> +url="http://halberd.superadditive.com"

We dont have any special magic for autodetecting python dependency so
adding python to depends is correct. Good!

> +	patch -p1 -i "$srcdir"/$pkgname-sslwrap.patch || return 1

Applying patches in prepare section. Good!

> +	python setup.py bdist_dumb --keep-temp --bdist-dir "$pkgdir"
> || return 1 +}
> +
> +doc() {

Moving manpage to proper location. Good!

> +1fe48ed2a0ef58e8a387ab23368d637c  halberd-sslwrap.patch"

md5sum: can't open 'halberd-sslwrap.patch': No such file or directory

I think you forgot to 'git add halberd-sslwrap.patch' before you did
git commit.

Care to send a new patch?

You can use 'git add --amend ....' to redo a commit in your local git
repo.

Thanks!

---

---

From: Fabian Affolter <[email-masked]>
Date: Thu, 07 Jul 2011 17:59:44 +0200

> Care to send a new patch?

Everything incl. the patch should be available in my developer repository:
http://git.alpinelinux.org/cgit/fab/aports.git/tree/main/halberd

Fabian

---

---

From: Natanael Copa <[email-masked]>
Date: Thu, 7 Jul 2011 22:05:51 +0200

On Thu, 07 Jul 2011 17:59:44 +0200
> http://git.alpinelinux.org/cgit/fab/aports.git/tree/main/halberd

Done.

Please have a look at the commit log history. Messages like "Added
myself as a maintainer" would probably be more useful if they also told
what package you are maintainer for.

I also removed test.txt.

Other than that it looked good.
Thanks!

-nc

---

---

From: Fabian Affolter <[email-masked]>
Date: Thu, 07 Jul 2011 23:04:01 +0200

> what package you are maintainer for.

Sorry, I forgot that the commit log history is not separated per
package. Thanks you for reminding me the second time about a meaningful
commit message.

Fabian

---